%global momorel 1

Summary: Mozilla Calendar / Sunbird Synchronization Plug-In for OpenSync
Name: libopensync-plugin-sunbird
Version: 0.22
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: neon
Requires: openssl
BuildRequires: libopensync-devel
BuildRequires: neon-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Mozilla Calendar / Sunbird.

Additionally install the libopensync package.

%prep
%setup -q

autoreconf -sfi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_libdir}/opensync/plugins/sunbird_sync.so
%{_datadir}/opensync/defaults/sunbird-sync

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
